Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Remove_Node Class Reference

Remove a Service Node. More...

`#include <Parse_Node.h>`

Inheritance diagram for ACE_Remove_Node:

[legend]
Collaboration diagram for ACE_Remove_Node:

[legend]
List of all members.

## Public Member Functions
| ACE_Remove_Node (const ACE_TCHAR *name)
| ~ACE_Remove_Node (void)
virtual void | apply (int &yyerrno)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Remove a Service Node.

Note:
  This class is only meant for INTERNAL use by ACE.

## Constructor & Destructor Documentation

ACE_Remove_Node::ACE_Remove_Node | ( | const ACE_TCHAR * | name | ) |

ACE_Remove_Node::~ACE_Remove_Node | ( | void |  | ) |

## Member Function Documentation

void ACE_Remove_Node::apply | ( | int & | yyerrno | ) | `[virtual]`

| Implements ACE_Parse_Node.

void ACE_Remove_Node::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Parse_Node.

## Member Data Documentation

ACE_Remove_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Parse_Node.

The documentation for this class was generated from the following files:

- Parse_Node.h
- Parse_Node.cpp